POST Generate access tokens for Agora RTM/RTC channels including related channel / user information
Generate access tokens for Agora RTM/RTC channels including related channel / user information
Are you an LLM? You can read better optimized documentation at /docs/api/endpoints/viewers/post-viewers-viewerToken-access-token.md for this page in Markdown format
POST
Try it out https://api.rooom.com/viewers/{viewerToken}/access-tokenParameters
Path Parameters
| Name | Type | Description |
|---|---|---|
viewerTokenrequiredExample: _viewerToken_ | string | Viewer token. |
Body
multipart/form-data| Name | Type | Description |
|---|---|---|
tokenTyperequired | array | Token type(s) |
userType | integer | User-Type (1-9) |
userId | string | User-ID for renewal |
channelSuffix | string | Suffix for special communication channel (e.g. npc-id, max 64 alphanumeric chars plus underscore/hyphen) |
Responses
200Success
400Bad Request
404Viewer not found
POST /viewers/{viewerToken}/access-token Generate access tokens for Agora RTM/RTC channels including related channel / user information viewerToken Viewer token. tokenType Token type(s) userType User-Type (1-9) userId User-ID for renewal channelSuffix Suffix for special communication channel (e.g. npc-id, max 64 alphanumeric chars plus underscore/hyphen)